Direct IO Functions
dio_fcntl
Direct IO Functions
PHP Manual

# dio_close

Closes the file descriptor given by fd

### Description

void dio_close ( resource `$fd` )

The function dio_close closes the file descriptor `fd`.

### Parameters

`fd`

  The file descriptor returned by dio_open.

### Return Values

No value is returned.

### Examples

Example #1 Closing an open file descriptor

`<?php
$fd = dio_open('/dev/ttyS0', O_RDWR);
dio_close($fd);
?>`

### See Also

- dio_open